## libcompizconfig 0.9.2.1+git20110226.78a7cc8c

=== CMakeLists.txt ===
project (libcompizconfig)

find_package (Compiz REQUIRED)

include (CompizCommon)
include (CompizPackage)
include (CheckLibraryExists)
include (CheckIncludeFile)

set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

# libcompizconfig package version number
# An odd micro number indicates in-progress development.
# An even micro number indicates a released version.
set (LIBCOMPIZCONFIG_VERSION_MAJOR 0)
set (LIBCOMPIZCONFIG_VERSION_MINOR 9)
set (LIBCOMPIZCONFIG_VERSION_MICRO 2)
set (LIBCOMPIZCONFIG_VERSION_MACRO 1)
set (VERSION ${LIBCOMPIZCONFIG_VERSION_MAJOR}.${LIBCOMPIZCONFIG_VERSION_MINOR}.${LIBCOMPIZCONFIG_VERSION_MICRO}.${LIBCOMPIZCONFIG_VERSION_MACRO})

set (_libcompizconfig_package_string "LibCompizConfig ${VERSION}")
set (_libcompizconfig_package "LibCompizCompiz")

set (ALL_LINGUAS af ar bg bn bn_IN bs ca cs cy da de el en_GB en_US es eu et fi fr gl gu he hi hr hu id it ja ka km ko lo lt mk mr nb nl or pa pl pt pt_BR ro ru sk sl sr sv ta tr uk vi xh zh_CN zh_TW zu)
set (GETTEXT_PACKAGE libcompizconfig)

configure_file (
    "${CMAKE_SOURCE_DIR}/config.h.in"
    "${CMAKE_BINARY_DIR}/config.h"
    )

include_directories (
    "include"
    )

if (COMPIZ_PACKAGING_ENABLED)
    set (libdir ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}         CACHE PATH "libdir")
    set (includedir ${CMAKE_INSTALL_PREFIX}/include/compizconfig CACHE PATH "includedir")
    set (prefix ${CMAKE_INSTALL_PREFIX}                          CACHE PATH "prefix")
    set (exec_prefix ${CMAKE_INSTALL_PREFIX}/bin                 CACHE PATH "bindir")
else (COMPIZ_PACKAGING_ENABLED)
    set (libdir ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX})
    set (includedir ${CMAKE_INSTALL_PREFIX}/include/compizconfig)
    set (prefix ${CMAKE_INSTALL_PREFIX})
    set (exec_prefix ${CMAKE_INSTALL_PREFIX}/bin)
endif (COMPIZ_PACKAGING_ENABLED)

set (COMPIZ_SYSCONFDIR "/etc" CACHE PATH "/etc")

option (USE_PROTOBUF
	"Use Google Protocol Buffers library for faster XML loading"
	ON
	)

set (PROTOC_ERROR_MESSAGE
     "\nWARNING: You need to install Protocol Buffers to get faster program startup.\n"
     "Sources are available at http://code.google.com/p/protobuf/downloads/list\n"
     "Package names for Ubuntu/Debian: libprotobuf0, libprotobuf-dev, protobuf-compiler\n"
     "Package names for other distributions: protobuf, protobuf-devel\n"
     "Disabling protobuf.\n"
     )

set (LIBCOMPIZCONFIG_PROTOBUF
     protobuf)

if (USE_PROTOBUF)
    find_program (HAVE_PROTOC protoc)
    if (HAVE_PROTOC)
	if (USE_PROTOBUF)
	    pkg_check_modules (PROTOBUF protobuf)
	    if (PROTOBUF_FOUND)
	    else ()
		message (${PROTOC_ERROR_MESSAGE})
		set (USE_PROTOBUF
		     false
		     )
	    endif (PROTOBUF_FOUND)
	endif (USE_PROTOBUF)
    else ()
	message (${PROTOC_ERROR_MESSAGE})
	set (USE_PROTOBUF
	     false
	     )
    endif (HAVE_PROTOC)
endif (USE_PROTOBUF)

if (USE_PROTOBUF)
    set (HAVE_PROTOBUF TRUE)
endif (USE_PROTOBUF)

check_include_file ("sys/inotify.h"
		    HAVE_INOTIFY)

set (INOTIFY_WARNING_MESSAGE
     "NOTE\n
      ======\n
      Inotify header files not found. While this library might work \n
      without them, user experience is degraded as settings won't be\n
      applied instantly. We strongly suggest installing the inotify\n
      header files.\n")

if (HAVE_INOTIFY)
else ()
    message (${INOTIFY_WARNING_MESSAGE})
endif (HAVE_INOTIFY)

set (COMPIZCONFIG_LIBDIR ${libdir})

set (LIBCOMPIZCONFIG_REQUIRES
    x11
    compiz
    libxml-2.0
    libxslt
    )

if (HAVE_PROTOBUF)
    set (LIBCOMPIZCONFIG_REQUIRES
	 ${LIBCOMPIZCONFIG_REQUIRES}
	 protobuf)
endif ()

compiz_pkg_check_modules (LIBCOMPIZCONFIG REQUIRED ${LIBCOMPIZCONFIG_REQUIRES})

compiz_configure_file (
    ${CMAKE_CURRENT_SOURCE_DIR}/libcompizconfig.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/libcompizconfig.pc
)

install (
    FILES ${CMAKE_CURRENT_BINARY_DIR}/libcompizconfig.pc
    DESTINATION ${COMPIZ_DESTDIR}${libdir}/pkgconfig
)


add_subdirectory (config)
add_subdirectory (backend)
add_subdirectory (plugin)
add_subdirectory (src)
add_subdirectory (include)
add_subdirectory (cmake)

compiz_print_configure_header ("CompizConfig Library")
compiz_color_message ("\n${_escape}[4mOptional features:${_escape}[0m\n")

compiz_print_result_message ("protocol buffers" HAVE_PROTOBUF)
compiz_print_result_message ("file system change notifications" HAVE_INOTIFY)
compiz_print_plugin_stats ("${CMAKE_SOURCE_DIR}/plugin")
compiz_print_configure_footer ()

find_file (_find_compizconfig FindCompizConfig.cmake PATHS ${CMAKE_ROOT}/Modules ${ARGN})
if (NOT _find_compizconfig)
    compiz_color_message ("${_escape}[1;31mWARNING:${_escape}[0m")
    message ("\"FindCompiz.cmake\" file not found in cmake module directories.")
    message ("It should be installed to allow building of external compiz packages.")
    message ("Call \"sudo make findcompiz_install\" to install it.\n")
    compiz_print_configure_footer ()
endif (NOT _find_compizconfig)
    add_custom_target (
        findcompizconfig_install
	${CMAKE_COMMAND} -E make_directory ${COMPIZ_DESTDIR}${CMAKE_ROOT}/Modules &&
	${CMAKE_COMMAND} -E copy ${CMAKE_SOURCE_DIR}/cmake/FindCompizConfig.cmake ${COMPIZ_DESTDIR}${CMAKE_ROOT}/Modules
    )

macro (add_uninstall)
	compiz_set(_compiz_uninstall_rule_created TRUE)

	set (_file "${CMAKE_BINARY_DIR}/cmake_uninstall.cmake")

	file (WRITE  ${_file} "if (NOT EXISTS \"${CMAKE_BINARY_DIR}/install_manifest.txt\")\n")
	file (APPEND ${_file} "  message (FATAL_ERROR \"Cannot find install manifest: \\\"${CMAKE_BINARY_DIR}/install_manifest.txt\\\"\")\n")
	file (APPEND ${_file} "endif (NOT EXISTS \"${CMAKE_BINARY_DIR}/install_manifest.txt\")\n\n")
	file (APPEND ${_file} "file (READ \"${CMAKE_BINARY_DIR}/install_manifest.txt\" files)\n")
	file (APPEND ${_file} "string (REGEX REPLACE \"\\n\" \";\" files \"\${files}\")\n")
	file (APPEND ${_file} "foreach (file \${files})\n")
	file (APPEND ${_file} "  message (STATUS \"Uninstalling \\\"\${file}\\\"\")\n")
	file (APPEND ${_file} "  if (EXISTS \"\${file}\")\n")
	file (APPEND ${_file} "    exec_program(\n")
	file (APPEND ${_file} "      \"${CMAKE_COMMAND}\" ARGS \"-E remove \\\"\${file}\\\"\"\n")
	file (APPEND ${_file} "      OUTPUT_VARIABLE rm_out\n")
	file (APPEND ${_file} "      RETURN_VALUE rm_retval\n")
	file (APPEND ${_file} "      )\n")
	file (APPEND ${_file} "    if (\"\${rm_retval}\" STREQUAL 0)\n")
	file (APPEND ${_file} "    else (\"\${rm_retval}\" STREQUAL 0)\n")
	file (APPEND ${_file} "      message (FATAL_ERROR \"Problem when removing \\\"\${file}\\\"\")\n")
	file (APPEND ${_file} "    endif (\"\${rm_retval}\" STREQUAL 0)\n")
	file (APPEND ${_file} "  else (EXISTS \"\${file}\")\n")
	file (APPEND ${_file} "    message (STATUS \"File \\\"\${file}\\\" does not exist.\")\n")
	file (APPEND ${_file} "  endif (EXISTS \"\${file}\")\n")
	file (APPEND ${_file} "endforeach (file)\n")

	add_custom_target(uninstall "${CMAKE_COMMAND}" -P "${CMAKE_BINARY_DIR}/cmake_uninstall.cmake")
endmacro ()

compiz_ensure_linkage ()
compiz_package_generation ("CompizConfig Library")
add_uninstall ()
compiz_add_git_dist ()

## libcompizconfig 0.8.8

=== debian/changelog ===
libcompizconfig (0.8.8-1~pointlinux1) stable; urgency=low

  * Non-maintainer upload.
  * Released for Point Linux.

 -- Peter Ryzhenkov <peter.ryzhenkov@gmail.com>  Fri, 01 Mar 2013 05:12:09 -0500

libcompizconfig (0.8.8-1) unstable; urgency=low

  * new upstream release, non-maintainer fork.
  * [debian/patches/*]
  - 001-fix-intltoolize-ftbfs.patch: configure.ac change to fix a FTBFS
  - Add 100-libcompizconfig_mate.patch: MATE compatibility
  * [debian/compat] Bump to Debhelper v7
  * [debian/control]
    - bump Standards-Version to 3.9.3.
    - wrap Build-Depends for easier-reading/cleaner-diffs
    - bump debhelper to (>= 7.0.50~)
    - bump compiz-dev B-D to current version
    - B-D on pkg-config
    - B-D on libprotobuf-dev, protobuf-compiler = faster startup
    - B-D on hardening-wrapper, to enable it in debian/rules (see below)
    - change the maintainer's email address.
  * [debian/libcompizconfig0.symbols] after `debuild binary`, generate with:
    dpkg-gensymbols -plibcompizconfig0 -Pdebian/libcompizconfig0 | patch -p0
    perl -pi -e 's/-\d.*//' new_symbol_file
  * [debian/source/format] convert to '3.0 (quilt)' source format
  * [debian/rules] use dh style, only use necessary overrides
    - DEB_BUILD_HARDENING=1, to suppress lintian warnings
  * [debian/watch] update link from freedesktop.org to compiz.org
  * [debian/gbp.conf] remove it. this is not gonna be in debian unstable.
    See: http://lists.debian.org/debian-mentors/2012/10/msg00164.html

 -- Jasmine Hassan <jasmine.aura@gmail.com>  Thu, 11 Oct 2012 13:29:01 +0200

libcompizconfig (0.8.4-2) unstable; urgency=medium

  * Medium urgency to fix RC bug in testing.
  * Disable protobuf to work around #572923.
  * Link libcompizconfig with -ldl (closes: #558875)

 -- Julien Cristau <jcristau@debian.org>  Sun, 04 Apr 2010 18:25:06 +0200

libcompizconfig (0.8.4-1) unstable; urgency=low

  * New upstream release.
    - Includes fix for "basic_string::_S_construct NULL not valid".
      (Closes: #531797)
  * Update Build-Depends against compiz-dev to 0.8.4-1 for ABI bump.

 -- Sean Finney <seanius@debian.org>  Thu, 11 Feb 2010 20:33:19 +0100

libcompizconfig (0.8.2-2) unstable; urgency=low

  * Let libcompizcore0 depend on compiz-core and
    compiz-core-abiversion-2009xxyy to avoid package mismatches.
  * Add Vcs-Git-* control headers.
  * Fix missing -abiversion in virtual dep.
  * Let libcompizconfig-dev dep on compiz-dev (>= 0.8.2) for the Requires:
    compiz libcompizconfig.pc.
  * Temporarily bump compiz-dev build-dep and dep to >= 0.8.2-6 to
    workaround FTBFS with current compiz-dev.

 -- Loic Minier <lool@dooz.org>  Fri, 24 Apr 2009 15:58:19 +0200

libcompizconfig (0.8.2-1) unstable; urgency=low

  * New upstream release.
  * Add gbp.conf for use with git-buildpackage
  * Add build-dep on libprotobuf-dev and protobuf-compiler.
  * Update Standards-Version to 3.8.1
  * Remove usr/share/compizconfig from libcompizconfig0.install
  * update build-dep version against compiz-dev

 -- Sean Finney <seanius@debian.org>  Sun, 05 Apr 2009 21:47:59 +0200

libcompizconfig (0.7.6-1) unstable; urgency=low

  * New upstream release.  Includes ABI change so build-deps changed
    accordingly.

 -- Sean Finney <seanius@debian.org>  Tue, 03 Jun 2008 00:42:01 +0200

libcompizconfig (0.7.4-2) unstable; urgency=low

  * Add build-deps on autoconf, automake1.9, libglib2.0-dev, and libtool 

 -- Sean Finney <seanius@debian.org>  Tue, 20 May 2008 08:33:31 +0200

libcompizconfig (0.7.4-1) unstable; urgency=low

  * New upstream release.
  * Update build-deps to compiz-dev >= 0.7.3

 -- Sean Finney <seanius@debian.org>  Sun, 18 May 2008 19:58:13 +0200

libcompizconfig (0.6.0-3) unstable; urgency=low

  * update/clarify copyright information in debian/copyright at the request of
    ftp-master.

 -- Sean Finney <seanius@debian.org>  Sat, 17 Nov 2007 13:18:03 +0100

libcompizconfig (0.6.0-2) unstable; urgency=low

  * ship the development package as libcompizconfig-dev, instead of
    libcompizconfig0-dev.

 -- Sean Finney <seanius@debian.org>  Fri, 09 Nov 2007 08:41:37 +0100

libcompizconfig (0.6.0-1) unstable; urgency=low

  * Initial release (Closes: #431787)

 -- Sean Finney <seanius@debian.org>  Wed, 07 Nov 2007 08:33:47 +0100

=== debian/control ===
Source: libcompizconfig
Priority: extra
Maintainer: Jasmine Hassan <jasmine.aura@gmail.com>
Uploaders: Sean Finney <seanius@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 autoconf, automake1.9, autotools-dev, libtool,
 pkg-config, libprotobuf-dev, protobuf-compiler,
 compiz-dev (>= 0.8.8), intltool, libglib2.0-dev, 
 libxml2-dev, libxslt1-dev,
 hardening-wrapper,
Standards-Version: 3.9.3
Section: libs


Package: libcompizconfig0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         compiz-core, compiz-core-abiversion-${coreabiversion}
Description: Configuration settings library for compiz-fusion
 Compiz Fusion is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness
 .
 This package provides the libraries and runtime files for the compiz-fusion 
 configuration system.

Package: libcompizconfig-dev
Section: libdevel
Architecture: any
Depends: libcompizconfig0 (= ${binary:Version}), ${misc:Depends}
Description: Configuration settings library for compiz-fusion - development files
 Compiz Fusion is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness
 .
 This package provides the development files for the compiz-fusion 
 configuration system.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CORE_ABIVERSION := $(shell sed -rn 's/^\#define[[:space:]]+CORE_ABIVERSION[[:space:]]+//p' /usr/include/compiz/compiz-core.h )

export DEB_BUILD_HARDENING=1

# the following are generated by autoconf and have no way of being deleted
# gracefully. 
AUTOFOO_DELETE:=Makefile.in aclocal.m4 backend/Makefile.in config/Makefile.in \
	configure include/Makefile.in intltool-extract.in intltool-merge.in \
	intltool-update.in metadata/Makefile.in plugin/Makefile.in \
	po/Makefile.in.in src/Makefile.in config.guess config.h.in config.sub \
	depcomp install-sh ltmain.sh missing mkinstalldirs


%:
	dh $@

override_dh_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f $(AUTOFOO_DELETE)
	dh_clean

override_dh_auto_configure:
	autoreconf -vi
	glib-gettextize -c -f
	intltoolize --automake -c -f
	dh_auto_configure -- --prefix=/usr --enable-maintainer-mode

override_dh_gencontrol:
	dh_gencontrol -- -Vcoreabiversion=$(CORE_ABIVERSION)

=== debian/watch ===
version=3
http://releases.compiz.org/([\d\.]+)[02468]/ libcompizconfig-([\d\.]+)\.tar\.gz

## libcompizconfig 0.8.14

=== debian/changelog ===
libcompizconfig (2:0.8.14-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 07 Sep 2017 15:23:12 -0700

libcompizconfig (2:0.8.14-0mx15+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 21 Jun 2017 10:01:46 -0700

libcompizconfig (2:0.8.12.1-0mx15+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Add epoch to upgrade over older version in our repo.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 16 Mar 2017 13:06:16 -0700

libcompizconfig (0.8.12.1-0~jessie1) jessie; urgency=low

  * New upstream release.
  * Update dh_makeshlibs with new version.  

 -- Jof Thibaut <compiz@tuxfamily.org>  Wed, 18 May 2016 14:52:23 +0200

libcompizconfig (0.8.12-0~jessie1) jessie; urgency=low

  * New upstream release.
    - forked on Github : Compiz Reloaded
    - many more bug fixes and improvements, see git log
  * Switch to format 3.0 (quilt).
  * Update compat and rules to debhelper 9.
  * Bump standards to version 3.9.6.
  * Change Priority to optional.
  * Update copyright to format 1.0 and Homepage link.
  * Override dh_makeshlibs to fix dependencies on libcompizconfig0.

 -- Jof Thibaut <compiz@tuxfamily.org>  Fri, 26 Feb 2016 16:14:36 +0100

=== debian/control ===
Source: libcompizconfig
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jof Thibaut <compiz@tuxfamily.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               compiz-dev (>= 0.8.14-0~),
               intltool,
               libglib2.0-dev,
               libxml2-dev,
               libxslt1-dev
Standards-Version: 3.9.6
Homepage: https://github.com/compiz-reloaded/libcompizconfig

Package: libcompizconfig-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libcompizconfig0 (= ${binary:Version})
Description: Configuration settings library for compiz-fusion - development files
 Compiz Fusion is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness
 .
 This package provides the development files for the compiz-fusion 
 configuration system.

Package: libcompizconfig0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         compiz-core (>= 0.8.14-0~)
Description: Configuration settings library for compiz-fusion
 Compiz Fusion is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness
 .
 This package provides the libraries and runtime files for the compiz-fusion 
 configuration system.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

CORE_ABIVERSION := $(shell sed -rn 's/^\#define[[:space:]]+CORE_ABIVERSION[[:space:]]+//p' /usr/include/compiz/compiz-core.h )

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-protobuf \
	--disable-static --libdir=/usr/lib

override_dh_install:
# remove unneeded .la files
	find $(CURDIR)/debian/tmp -type f -name '*.la' -print0 | xargs -0 rm -f
	dh_install --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -plibcompizconfig0 -V'libcompizconfig0 (>= 0.8.14-0~)'

override_dh_gencontrol:
	dh_gencontrol -- -Vcoreabiversion=$(CORE_ABIVERSION)

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/release-?(\d\S*)\.tar\.gz/libcompizconfig-$1\.tar\.gz/ \
  https://github.com/compiz-reloaded/libcompizconfig/tags .*/release-?(\d\S*)\.tar\.gz

## libcompizconfig 0.8.16

=== debian/changelog ===
libcompizconfig (2:0.8.16-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: make libcompizconfig0-dev multi-arch: same.
  * watch: Generalize pattern.
  * control: Remove Cyril from uploaders.
  * control: Re-build-depend on libprotobuf-dev protobuf-compiler on linux-any.
  * rules: Do not disable protobuf any more.

  [ Colomban Wendling ]
  * control, rules: Properly depend on the Compiz ABI we built against.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 29 Dec 2019 15:16:06 +0100

libcompizconfig (2:0.8.16-2) unstable; urgency=medium

  * Upload to unstable.
  * Move libcompizconfig0-dev's .pc files to a multiarch location.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 15 Dec 2018 02:39:33 +0100

libcompizconfig (2:0.8.16-1) experimental; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 17 Nov 2018 13:48:53 +0100

libcompizconfig (2:0.8.14-1) unstable; urgency=medium

  * Split back packaging according to compiz-reloaded new upstream, and bump
    epoch accordingly
  * Switch to hypra maintenance team
  * Restore non-reloaded package names
  * Keep compatibility with packages in Debian
  * Update copyright file
  * Generate dbgsym packages

 -- Samuel Thibault <sthibault@debian.org>  Sat, 27 Oct 2018 21:11:55 +0200

libcompizconfig (1:0.9.13.1+18.04.20180302-2) unstable; urgency=medium

  * Last compiz-from-launchpad upload.
 
 -- Samuel Thibault <sthibault@debian.org>  Sat, 20 Oct 2018 15:14:00 +0200

libcompizconfig (1:0.8.4-4ubuntu1) maverick; urgency=low

  * Bumped epoch
 
 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 17 Jun 2010 10:12:18 +1000

libcompizconfig (0.8.14-0~stretch1) stretch; urgency=low

  * New upstream release.
    - rename source package to reloaded version
  * Bump standards to version 3.9.8.
  * Add override dh_strip to no create automatic dbgsym.

 -- Jof Thibaut <compiz@tuxfamily.org>  Sat, 24 Jun 2017 21:48:35 +0200

=== debian/control ===
Source: libcompizconfig
Section: libs
Priority: optional
Maintainer: Hypra Team <bugs@hypra.fr>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               compiz-dev (>= 2:0.8.14-0~),
               intltool,
               libglib2.0-dev,
               libxml2-dev,
               libxslt1-dev,
               libprotobuf-dev [linux-any], protobuf-compiler [linux-any]
Standards-Version: 3.9.8
Homepage: https://github.com/compiz-reloaded/libcompizconfig
Vcs-Git: https://salsa.debian.org/compiz-team/libcompizconfig.git
Vcs-Browser: https://salsa.debian.org/compiz-team/libcompizconfig

Package: libcompizconfig0-dev
Section: libdevel
Architecture: any
Multi-arch: same
Depends: ${misc:Depends},
         libcompizconfig0 (= ${binary:Version})
Description: Configuration settings library for compiz - development files
 Compiz Reloaded is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness
 .
 This package provides the development files for the compiz 
 configuration system.

Package: libcompizconfig0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${compizcore:Depends}
Description: Configuration settings library for compiz
 Compiz Reloaded is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness
 .
 This package provides the libraries and runtime files for the compiz 
 configuration system.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
include /usr/share/dpkg/architecture.mk

# Detect which package is provided by compiz-core:
COMPIZCORE_DEPENDS := $(shell dpkg-query --showformat='$${Provides}\n' -W compiz-core)

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-static --libdir=/usr/lib

override_dh_install:
# remove unneeded .la files
	find $(CURDIR)/debian/tmp -type f -name '*.la' -print0 | xargs -0 rm -f
	dh_install --fail-missing
	mkdir debian/libcompizconfig0-dev/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/libcompizconfig0-dev/usr/lib/pkgconfig debian/libcompizconfig0-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig

override_dh_makeshlibs:
	dh_makeshlibs -plibcompizconfig0 -V'libcompizconfig0 (>= 2:0.8.14-0~)'

override_dh_gencontrol:
	dh_gencontrol -- -Vcompizcore:Depends=$(COMPIZCORE_DEPENDS)

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(@ANY_VERSION@@ARCHIVE_EXT@)/libcompizconfig-$1/ \
  https://github.com/compiz-reloaded/libcompizconfig/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## libcompizconfig 0.8.18

=== debian/changelog ===
libcompizconfig (2:0.8.18-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * Update upstream URL
  * control: Bump Standards-Version to 4.5.0 (no change).
  * watch: Update URL.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 12.
    + debian/rules: Move --fail-missing argument to dh_missing.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Drop unnecessary dependency on dh-autoreconf.
  * Remove Section on libcompizconfig0 that duplicates source.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 02 Jan 2021 16:14:35 +0100

libcompizconfig (2:0.8.18-1) unstable; urgency=medium

  * New upstream release.
  * watch: switch to gitlab
  * control: Bump compiz dependency to 0.8.18 to get latest
    compiz-core-abiversion.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 06 Apr 2020 01:29:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,15 @@
 Priority: optional
 Maintainer: Hypra Team <bugs@hypra.fr>
 Uploaders: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
-               compiz-dev (>= 2:0.8.14-0~),
+Build-Depends: debhelper-compat (= 12),
+               compiz-dev (>= 2:0.8.18~),
                intltool,
                libglib2.0-dev,
                libxml2-dev,
                libxslt1-dev,
                libprotobuf-dev [linux-any], protobuf-compiler [linux-any]
-Standards-Version: 3.9.8
-Homepage: https://github.com/compiz-reloaded/libcompizconfig
+Standards-Version: 4.5.0
+Homepage: https://gitlab.com/compiz/libcompizconfig.git
 Vcs-Git: https://salsa.debian.org/compiz-team/libcompizconfig.git
 Vcs-Browser: https://salsa.debian.org/compiz-team/libcompizconfig
 
@@ -29,11 +28,10 @@
  graphics hardware to provide impressive effects, amazing speed and
  unrivalled usefulness
  .
- This package provides the development files for the compiz 
+ This package provides the development files for the compiz
  configuration system.
 
 Package: libcompizconfig0
-Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
@@ -45,5 +43,5 @@
  graphics hardware to provide impressive effects, amazing speed and
  unrivalled usefulness
  .
- This package provides the libraries and runtime files for the compiz 
+ This package provides the libraries and runtime files for the compiz
  configuration system.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 COMPIZCORE_DEPENDS := $(shell dpkg-query --showformat='$${Provides}\n' -W compiz-core)
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-static --libdir=/usr/lib
@@ -15,7 +15,7 @@
 override_dh_install:
 # remove unneeded .la files
 	find $(CURDIR)/debian/tmp -type f -name '*.la' -print0 | xargs -0 rm -f
-	dh_install --fail-missing
+	dh_install
 	mkdir debian/libcompizconfig0-dev/usr/lib/$(DEB_HOST_MULTIARCH)
 	mv debian/libcompizconfig0-dev/usr/lib/pkgconfig debian/libcompizconfig0-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
 
@@ -24,3 +24,6 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -- -Vcompizcore:Depends=$(COMPIZCORE_DEPENDS)
+
+override_dh_missing:
+	dh_missing --fail-missing

=== debian/watch ===
version=3
https://gitlab.com/compiz/libcompizconfig/-/tags \
/compiz/libcompizconfig/.*/libcompizconfig-v?@ANY_VERSION@@ARCHIVE_EXT@

## libcompizconfig 0.9.2.1+git20110226.78a7cc8c

=== debian/changelog ===
libcompizconfig (0.9.2.1+git20110226.78a7cc8c-1) experimental; urgency=low

  * Incorporate Janos Guljas' compiz packaging work, thanks!

 -- Sean Finney <seanius@debian.org>  Sun, 27 Feb 2011 09:36:37 +0000

libcompizconfig (0.9.2.1-1.1) unstable; urgency=low

  * New upstream release
  * Bump standards to 3.9.1
  * Switch to dpkg version 3.0 (quilt)
  * Rewrite debian/rules to use debhelper 7.
  * Added debian/watch file

 -- Janos Guljas <janos@resenje.org>  Sun, 14 Nov 2010 20:13:28 +0100

libcompizconfig (0.8.4-3) UNRELEASED; urgency=low

  * Update upstream git repo url in debian/copyright.

 -- Julien Cristau <jcristau@debian.org>  Sun, 04 Apr 2010 18:41:24 +0200

=== debian/control ===
Source: libcompizconfig
Priority: extra
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Sean Finney <seanius@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cmake, intltool, compiz-dev (>= 0.9.2.1),
 pkg-config, libxml2-dev, libxslt1-dev, libprotobuf-dev, protobuf-compiler,
 libxslt1-dev, xsltproc, libboost1.42-dev, libboost-serialization1.42-dev
Standards-Version: 3.9.1
Section: libs
Homepage: http://www.compiz.org/
Vcs-Git: git://git.debian.org/git/pkg-xorg/bling/libcompizconfig.git
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/bling/libcompizconfig.git

Package: libcompizconfig-dev
Section: libdevel
Architecture: any
Depends: libcompizconfig0 (= ${binary:Version})
Description: Configuration settings library for compiz-fusion - development files
 Compiz Fusion is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness
 .
 This package provides the development files for the compiz-fusion 
 configuration system.

Package: libcompizconfig0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         compiz-core, compiz-core-abiversion-${coreabiversion}
Description: Configuration settings library for compiz-fusion
 Compiz Fusion is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness
 .
 This package provides the libraries and runtime files for the compiz-fusion 
 configuration system.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CORE_ABIVERSION := $(shell sed -rn 's/^\#define[[:space:]]+CORE_ABIVERSION[[:space:]]+//p' /usr/include/compiz/core/core.h )

%:
	dh $@


# temporary hack for a tmp file left in upstream repo
override_dh_clean:
	dh_clean -X plugin/ccp/src/ccp.cpp~
	rm -f src/compizconfig.pb.cc src/compizconfig.pb.h

override_dh_auto_configure:
	dh_auto_configure -- -DCOMPIZ_BUILD_WITH_RPATH=FALSE -DCOMPIZ_PACKAGING_ENABLED=TRUE -DCOMPIZ_PLUGIN_INSTALL_TYPE=package

override_dh_gencontrol:
	dh_gencontrol -- -Vcoreabiversion=$(CORE_ABIVERSION)

override_dh_install:
	# cmake findcompiz_install use COMPIZ_DESTDIR and using COMPIZ_DESTDIR
	# and DESTDIR together is completely broken upstream
	# So, doing the same in debian/rules to find a way to install things in the
	# right place, sorry for the kittens
	cmake_dir=`cmake --system-information 2> /dev/null | grep "^CMAKE_ROOT " | sed -e 's/.*"\(.*\)"/\1/'` && \
	mkdir -p debian/tmp$${cmake_dir}/Modules && cp cmake/FindCompizConfig.cmake debian/tmp$${cmake_dir}/Modules

	dh_install --fail-missing

## libcompizconfig 0.9.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,8 +14,8 @@
 # An even micro number indicates a released version.
 set (LIBCOMPIZCONFIG_VERSION_MAJOR 0)
 set (LIBCOMPIZCONFIG_VERSION_MINOR 9)
-set (LIBCOMPIZCONFIG_VERSION_MICRO 2)
-set (LIBCOMPIZCONFIG_VERSION_MACRO 1)
+set (LIBCOMPIZCONFIG_VERSION_MICRO 4)
+set (LIBCOMPIZCONFIG_VERSION_MACRO 0)
 set (VERSION ${LIBCOMPIZCONFIG_VERSION_MAJOR}.${LIBCOMPIZCONFIG_VERSION_MINOR}.${LIBCOMPIZCONFIG_VERSION_MICRO}.${LIBCOMPIZCONFIG_VERSION_MACRO})
 
 set (_libcompizconfig_package_string "LibCompizConfig ${VERSION}")

=== cmake/CMakeLists.txt ===
set (_files
    LibCompizConfigCommon.cmake
)

install (
    FILES ${_files}
    DESTINATION ${COMPIZ_DESTDIR}${CMAKE_INSTALL_PREFIX}/share/compiz/cmake
)

=== plugin/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizCommon)
include (CompizPackage)

compiz_add_plugins_in_folder (${CMAKE_CURRENT_SOURCE_DIR})

=== debian/changelog ===
libcompizconfig (0.9.4-0ubuntu2) natty; urgency=low

  * debian/control:
    - bump dep for ABI break in compiz

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 22 Mar 2011 21:46:31 +0100

libcompizconfig (0.9.4-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/control:
    - bump dep for ABI break in compiz

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 24 Feb 2011 12:18:21 +0100

libcompizconfig (0.9.2.1git101125-0ubuntu5) natty; urgency=low

  * debian/control:
    - Rebuild for ABI break in compiz

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 27 Jan 2011 13:14:47 +0100

libcompizconfig (0.9.2.1git101125-0ubuntu4) natty; urgency=low

  * debian/control:
    - Rebuild for ABI break in compiz

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 14 Jan 2011 00:26:50 +0100

libcompizconfig (0.9.2.1git101125-0ubuntu3) natty; urgency=low

  * debian/control:
    - Rebuild for ABI break in compiz and ajust build-dep/breaks

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 13 Dec 2010 13:30:03 +0100

libcompizconfig (0.9.2.1git101125-0ubuntu2) natty; urgency=low

  * debian/patches/01_add_transitionning.patch:
    - fix some crashes due to glib not initiated
  * debian/control:
    - ensure rebuilding against latest compiz-dev to build with -g -O2

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 29 Nov 2010 12:27:10 +0100

libcompizconfig (0.9.2.1git101125-0ubuntu1) natty; urgency=low

  * New upstream snapshot
  * debian/patches/02_add_unity_profile.patch:
    - add the unity profile
  * debian/libcompizconfig0.install:
    - removed ccp gconf schema, empty, not used
  * removed debian/patches/01_get_global_config.patch:
    - upstreamed
  * add debian/patches/01_add_transtionning.patch:
    - transition the ini backend to old settings (0.8) to new one (0.9)
  * debian/control:
    - build on latest compiz-dev to not get the unused gconf schema
  * debian/libcompizconfig0.install:
    - install cpp gconf schemas

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 26 Nov 2010 20:31:25 +0100

libcompizconfig (0.9.2.1-0ubuntu3) natty; urgency=low

  * debian/patches/01_get_global_config.patch:
    - don't ignore global configuration file because of invalid path
      (LP: #676958)
  * debian/compizconfig/config, debian/libcompizconfig0.install:
    - ship rather upstream file.
  * add debian/patches/series (wasn't present in the transition)
  * removed debian/patches/04_fix_ini_fallback.patch as it's dealt upstream

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 18 Nov 2010 14:29:28 +0100

libcompizconfig (0.9.2.1-0ubuntu2) natty; urgency=low

  * debian/control:
    - bump to new build-dep version (ABI change)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 11 Nov 2010 18:22:10 +0100

libcompizconfig (0.9.2.1-0ubuntu1) natty; urgency=low

  [ Travis Watkins ]
  * debian/source/format:
    - update to 3.0 (quilt) format
  * debian/control, debian/rules:
    - updated to new debhelper format
  * debian/patches/04_fix_ini_fallback.patch:
    - deleted, applied upstream
  * debian/libcompizconfig0-dev.install:
    - don't ship .a

  [ Didier Roche ]
  * New upstream release
  * debian/control:
    - bump compiz build-dep and breaks
    - adding missing build-dep as well
    - cleanage and sanity for reducing lintian warnings
    - build-dep on cmake
  * debian/libcompizconfig0.install:
    - remove global.xml commented for ages
    - install the gconf schema file
  * debian/rules:
    - ensure we ship every files
    - force copying to cmake install dir. Don't use findcompiz_install which is
      broken upstream when using DESTDIR and COMPIZ_DESTDIR
    - add some switch to build in package mode and not in debug mode
  * debian/libcompizconfig0-dev.install:
    - install cmake files
    - ship FindCompizConfig.cmake which isn't installed upstream

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 09 Nov 2010 18:08:09 +0100

libcompizconfig (0.8.4-0ubuntu3) maverick; urgency=low

  * Rebuild against compiz 0.8.6
  * debian/control:
    - Update compiz-core versions
    - Fix Bzr link

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 27 Jul 2010 18:25:34 +0200

libcompizconfig (0.8.4-0ubuntu2) lucid; urgency=low

  * No-change rebuild for libprotobuf3 -> libprotobuf4^W5 transition. 

 -- Steve Kowalik <stevenk@ubuntu.com>  Wed, 17 Feb 2010 16:54:03 +1100

libcompizconfig (0.8.4-0ubuntu1) karmic; urgency=low

  * new upstream release:
    - crash in 'std::logic_error' (LP: #414535)
  * debian/watch:
    - added watch file

 -- Travis Watkins <amaranth@ubuntu.com>  Wed, 14 Oct 2009 17:09:43 -0500

libcompizconfig (0.8.3+git20090901-0ubuntu1) karmic; urgency=low

  * Pre-Version of the upcomming 0.8.4 bugfix release

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 14 Sep 2009 09:43:32 +0200

libcompizconfig (0.8.2-0ubuntu2) karmic; urgency=low

  * depend on compiz-core-abiversion-${coreabiversion}
    (thanks to Loic)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 30 Apr 2009 16:00:11 +0200

libcompizconfig (0.8.2-0ubuntu1) jaunty; urgency=low

  * new upstream release
  * build with libprotobuf-dev, protobuf-compiler for faster startup
  * debian/patches/01_default_options.patch:
    - disabled, the global metadata file is gone now, the 
      settings need to go as individual patches into the plugins

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 09 Mar 2009 10:35:53 +0100

libcompizconfig (0.7.9+git20090225-0ubuntu1~ppa1) jaunty; urgency=low

  * new git snapshot
  * build with libprotobuf-dev, protobuf-compiler for faster startup
  * debian/patches/01_default_options.patch:
    - disabled, the global metadata file is gone now, the 
      settings need to go as individual patches into the plugins
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 25 Feb 2009 19:27:18 +0100

libcompizconfig (0.7.8-0ubuntu4) jaunty; urgency=low

  * debian/patches/01_default_options.patch:
    - fix default plugin load order

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 12 Feb 2009 18:16:04 +0100



=== debian/control ===
Source: libcompizconfig
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               cmake,
               compiz-dev (>= 1:0.9.4git20110322),
               pkg-config,
               intltool,
               libxml2-dev,
               libxslt1-dev,
               libprotobuf-dev,
               protobuf-compiler,
               libxslt1-dev,
               xsltproc,
               libboost1.42-dev,
               libboost-serialization1.42-dev,
Standards-Version: 3.8.0
Vcs-Bzr: http://bazaar.launchpad.net/~compiz/libcompizconfig/ubuntu

Package: libcompizconfig0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 compiz-core, compiz-core-abiversion-${coreabiversion}
Breaks: compiz-core (<< 1:0.9.2.1+glibmainloop3)
Description: Settings library for plugins - OpenCompositing Project
 The OpenCompositing Project brings 3D desktop visual effects that improve
 usability of the X Window System and provide increased productivity
 through plugins and themes contributed by the community giving a
 rich desktop experience.
 .
 This package contains the library for plugins to configure settings.

Package: libcompizconfig0-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, 
 libcompizconfig0 (= ${binary:Version}), compiz-dev
Description: Development file for plugin settings - OpenCompositing Project
 The OpenCompositing Project brings 3D desktop visual effects that improve
 usability of the X Window System and provide increased productivity
 through plugins and themes contributed by the community giving a
 rich desktop experience.
 .
 This package contains the headers and development files needed to
 build plugins with settings support.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CORE_ABIVERSION := $(shell sed -rn 's/^\#define[[:space:]]+CORE_ABIVERSION[[:space:]]+//p' /usr/include/compiz/core/core.h )


override_dh_auto_configure:
	dh_auto_configure -- -DCOMPIZ_BUILD_WITH_RPATH=FALSE -DCOMPIZ_PACKAGING_ENABLED=TRUE -DCOMPIZ_PLUGIN_INSTALL_TYPE=package

override_dh_gencontrol:
	dh_gencontrol -- -Vcoreabiversion=$(CORE_ABIVERSION)

override_dh_install:
	# cmake findcompiz_install use COMPIZ_DESTDIR and using COMPIZ_DESTDIR
	# and DESTDIR together is completely broken upstream
	# So, doing the same in debian/rules to find a way to install things in the
	# right place, sorry for the kittens
	cmake_dir=`cmake --system-information 2> /dev/null | grep "^CMAKE_ROOT " | sed -e 's/.*"\(.*\)"/\1/'` && \
    mkdir -p debian/tmp$${cmake_dir}/Modules && cp cmake/FindCompizConfig.cmake debian/tmp$${cmake_dir}/Modules

	dh_install --fail-missing

%:
	dh $@

## libcompizconfig 0.9.5.94

=== backend/CMakeLists.txt ===
set (CMAKE_MODULE_PATH_ORIG ${CMAKE_MODULE_PATH})
set (LIBCOMPIZCONFIG_CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${LIBCOMPIZCONFIGZ_CMAKE_MODULE_PATH})

# Sorry for the kittens
include (${CMAKE_SOURCE_DIR}/cmake/LibCompizConfigCommon.cmake)

set (_COMPIZCONFIG_INTERNAL true)

find_package (Boost 1.34.0 REQUIRED)

compizconfig_backend (ini PKGDEPS gio-2.0 INCDIRS ${Boost_INCLUDE_DIRS} LIBRARIES ${Boost_LIBRARIES})

=== config/CMakeLists.txt ===
set (_config_file
     config)

compiz_opt_install_file (${_config_file} ${COMPIZ_SYSCONFDIR}/compizconfig/${_config_file})

add_custom_target (
    config_install
    ${CMAKE_COMMAND} -E make_directory ${COMPIZ_DESTDIR}${CMAKE_ROOT}/Modules &&
    ${CMAKE_COMMAND} -E copy ${CMAKE_SOURCE_DIR}/config/${_config_file} ${COMPIZ_DESTDIR}${COMPIZ_SYSCONFDIR}/compizconfig/${_config_file}
    )

=== include/CMakeLists.txt ===
set (_headers
    ccs-backend.h
    ccs.h
    )

install (
	FILES ${_headers}
	DESTINATION ${COMPIZ_DESTDIR}${includedir}
	)

=== plugin/ccp/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)
include (CompizCommon)

set (COMPIZ_PLUGIN_INSTALL_TYPE
     "compiz")

compiz_plugin (ccp LIBRARIES compizconfig)

if (COMPIZ_BUILD_WITH_RPATH)
    set_target_properties (
	ccp PROPERTIES
	INSTALL_RPATH "${COMPIZCONFIG_LIBDIR}"
    )
endif (COMPIZ_BUILD_WITH_RPATH)

=== debian/changelog ===
libcompizconfig (0.9.5.94-0ubuntu2) oneiric; urgency=low

  * debian/patches/fix_configuration_upgrade.patch:
    - fix to enable configuration upgrade
      (this is mandatory for LP: #838075)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 14 Sep 2011 16:55:45 +0200

libcompizconfig (0.9.5.94-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/control:
    - build-dep on latest version of compiz-dev (ABI break)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 12 Sep 2011 08:10:10 +0200

libcompizconfig (0.9.5.92-0ubuntu2) oneiric; urgency=low

  * debian/control:
    - compizconfig-backend-gconf doesn't have an epoch, use correct version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 23 Aug 2011 23:19:12 +0200

libcompizconfig (0.9.5.92-0ubuntu1) oneiric; urgency=low

  * debian/control:
    - breaks on compizconfig-backend-gconf (<< 1:0.9.5.92)
    - updated compiz requirement to the current version for gsettings options
  * debian/patches/use_gconf_still.patch:
    - use gconf instead of gsettings for Oneiric
  * debian/rules:
    - build without gsettings for oneiric

  [ Didier Roche ]
  * New upstream release
  * Remove debian/patches/01_add_transitionning.patch
  * debian/patches/02_add_unity_profile.patch:
    - integrated in upstream tarball

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 23 Aug 2011 19:39:32 +0200

libcompizconfig (0.9.5.0-0ubuntu2) oneiric; urgency=low

  * debian/control:
    - transition to boost 1.46
    - build-dep on latest compiz-dev for boost transition

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 10 Aug 2011 11:54:12 +0200

libcompizconfig (0.9.5.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * Refresh debian/patches/01_add_transitionning.patch
  * debian/control:
    - dep on latest compiz-dev

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 19 Jul 2011 08:01:05 +0200

libcompizconfig (0.9.4-0ubuntu3) oneiric; urgency=low

  * rebuild for taking the new libprotobuf ABI version and drop
    libprotobuf6 from the CD

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 10 Jun 2011 17:12:15 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~),
                cmake,
-               compiz-dev (>= 1:0.9.4git20110322),
+               compiz-dev (>= 1:0.9.5.94+bzr2803-0ubuntu1~),
                pkg-config,
                intltool,
                libxml2-dev,
@@ -13,8 +13,8 @@
                protobuf-compiler,
                libxslt1-dev,
                xsltproc,
-               libboost1.42-dev,
-               libboost-serialization1.42-dev,
+               libboost1.46-dev,
+               libboost-serialization1.46-dev,
 Standards-Version: 3.8.0
 Vcs-Bzr: http://bazaar.launchpad.net/~compiz/libcompizconfig/ubuntu
 
@@ -22,7 +22,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, 
  compiz-core, compiz-core-abiversion-${coreabiversion}
-Breaks: compiz-core (<< 1:0.9.2.1+glibmainloop3)
+Breaks: compiz-core (<< 1:0.9.2.1+glibmainloop3),
+        compizconfig-backend-gconf (<< 0.9.5.92)
 Description: Settings library for plugins - OpenCompositing Project
  The OpenCompositing Project brings 3D desktop visual effects that improve
  usability of the X Window System and provide increased productivity

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCOMPIZ_BUILD_WITH_RPATH=FALSE -DCOMPIZ_PACKAGING_ENABLED=TRUE -DCOMPIZ_PLUGIN_INSTALL_TYPE=package
+	dh_auto_configure -- -DCOMPIZ_BUILD_WITH_RPATH=FALSE -DCOMPIZ_PACKAGING_ENABLED=TRUE -DCOMPIZ_PLUGIN_INSTALL_TYPE=package -DUSE_GSETTINGS=OFF -DCOMPIZ_DISABLE_GS_SCHEMAS_INSTALL=ON
 
 override_dh_gencontrol:
 	dh_gencontrol -- -Vcoreabiversion=$(CORE_ABIVERSION)
